@REM  This sample program is provided AS IS and may be used, executed, copied and modified
@REM  without royalty payment by customer
@REM  (a) for its own instruction and study,
@REM  (b) in order to develop applications designed to run with an IBM WebSphere product,
@REM  either for customer's own internal use or for redistribution by customer, as part of such an
@REM  application, in customer's own products.
@REM  Licensed Materials - Property of IBM
@REM  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009, 2010

@ECHO OFF

REM *********************************************************
REM ***    As needed, uncomment the following line and    ***
REM ***    change JAVA_HOME to match your environment     ***
REM *********************************************************
REM SET JAVA_HOME=C:\java

REM *********************************************************
REM *** The following variables do not need to be changed ***
REM *********************************************************

REM The path to the sample
cd /d "%~dsp0"
SET SAMPLE_HOME="%cd%"

REM The path to the ObjectGrid runtime root directory.
SET OBJECTGRID_HOME=%SAMPLE_HOME%\..

REM The path to the endorsed directory where the ORB is located.
SET OBJECTGRID_ENDORSED_DIRS=-Djava.endorsed.dirs=%OBJECTGRID_HOME%\lib\endorsed

REM The classpath for application client class files.
SET SAMPLE_CLIENT_CLASSPATH=%SAMPLE_HOME%\client\bin

REM The classpath for application server class files.
SET SAMPLE_SERVER_CLASSPATH=

REM The ObjectGrid runtime class path.
SET OG_CLASSPATH=%OBJECTGRID_HOME%\properties;%OBJECTGRID_HOME%\lib\objectgrid.jar

REM The location of the catalog server host in which the client will connect.
SET CATALOGSERVER_HOST=localhost

REM The bootstrap port of the catalog server in which the client will connect.
SET CATALOGSERVER_PORT=2809

REM The endpoints passed to the catalog server when started.
SET CATALOG_SERVICE_ENDPOINTS="cs0:localhost:6600:6601"

REM If JAVA_HOME is not defined above or external to this script.
if not defined JAVA_HOME set JAVA_HOME=%OBJECTGRID_HOME%\..\java

REM The path and filename of the Java executable.
if exist %JAVA_HOME%\jre\bin\java.exe (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java.exe"
) else (
   set JAVA_EXE="%JAVA_HOME%\bin\java.exe"
)

if not exist %JAVA_EXE% (
   echo Set the JAVA_HOME environment variable to a valid Java Runtime Environment directory.
)
