@REM  This sample program is provided AS IS and may be used, executed, copied and modified
@REM  without royalty payment by customer
@REM  (a) for its own instruction and study,
@REM  (b) in order to develop applications designed to run with an IBM WebSphere product,
@REM  either for customer's own internal use or for redistribution by customer, as part of such an
@REM  application, in customer's own products.
@REM  Licensed Materials - Property of IBM
@REM  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009

@setlocal
@echo off

@REM Setup our environment variables.
call "%~dsp0env.bat"

if %1. == . goto PRINTUSAGE

SET CONTAINER_NAME=%1

@REM Start the container server process
%JAVA_EXE% "-classpath" "%OG_CLASSPATH%;%SAMPLE_SERVER_CLASSPATH%" "%OBJECTGRID_ENDORSED_DIRS%" -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.objectgrid.InitializationService" %CONTAINER_NAME% "-catalogServiceEndPoints" "%CATALOGSERVER_HOST%:%CATALOGSERVER_PORT%"  "-objectgridFile" "xml\objectgrid.xml" "-deploymentPolicyFile" "xml\deployment.xml"

GOTO END

:PRINTUSAGE
echo Missing argument.
echo Command line syntax:  runcontainer [Unique Container Name]

:END

@endlocal
